`lqr_carver_set_black_channel`
Prev | Carver objects | Next

## Name

lqr_carver_set_black_channel — sets the black channel index in a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_carver_set_black_channel(` | LqrCarver * carver,
| gint channel_index`)`;

## Description

The function `lqr_carver_set_black_channel` sets the black channel index of the image stored in the `LqrCarver` pointed to by `carver` to `channel_index` (between `0` and `channels - 1`, where `channels` is the number of colour channels of the `carver`).

Use a negative value for `cahnnel_index` to specify that no black channel is present.

If the specified channel coincides with the current value of the alpha channel, the alpha channel is unset.

Calling this function sets the image time of the `carver` to `LQR_CUSTOM_IMAGE`. Furthermore, the image color model will be assumed to be subtractive by the function `lqr_rwindow_read`(3) when it computes the brightness or the luma.

## Return value

The return value follows the Liquid Rescale library signalling system.

## See also

LqrImageType(3), `lqr_carver_new`(3), `lqr_carver_set_image_type`(3), `lqr_carver_set_alpha_channel`(3), `lqr_carver_get_image_type`(3), `lqr_carver_get_channels`(3)

Prev | Up | Next
`lqr_carver_set_alpha_channel` | Home | `lqr_carver_resize`